/*----------------------------------------------------------------------------*\
  Headhesive Specific Styles
/*----------------------------------------------------------------------------*/

/**
 * Headhesive element clone
 * > `clone` class for the cloned element:
 *
 * @example
 * var options = {
 *   classes {
 *     clone: 'banner--clone';
 *   }
 * }
 */
.banner--clone {

  /* Required styles */
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  right: 0;
  opacity: 0;

  /* Additional styles */
  /*background: #c95a5d;*/
  border: none;
  /*background-color: rgba(232, 225, 214, 0.7);*/

  /* Translate -100% to move off screen */
  -webkit-transform: translateY(-100%);
      -ms-transform: translateY(-100%);
          transform: translateY(-100%);

  /* Animations */
  -webkit-transition: all 350ms ease-in-out;
     -moz-transition: all 350ms ease-in-out;
          transition: all 350ms ease-in-out;

}


/**
 * Headhesive stick
 * > `stick` class for the cloned element:
 *
 * @example
 * var options = {
 *   classes {
 *     stick: 'banner--stick';
 *   }
 * }
 */
.banner--stick {

opacity: 1;

  /* Translate back to 0%; */
  -webkit-transform: translateY(0%);
      -ms-transform: translateY(0%);
          transform: translateY(0%);
}


/**
 * Headhesive unstick
 * > `unstick` class for the cloned element:
 *
 * @example
 * var options = {
 *   classes {
 *     unstick: 'banner--unstick';
 *   }
 * }
 */
.banner--unstick {
  /* Not required to use, but could be useful to have */
}
